curl -X GET https://api.wirebox.sh/api/v1/identities/eva \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
identity = wirebox.get_identity("eva")
print("Handle:", identity.agent_handle)
print("Mailbox:", identity.mailbox.email_address)
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const identity = await wirebox.getIdentity("eva");
console.log("Handle:", identity.agent_handle);
console.log("Mailbox:", identity.mailbox.email_address);
wirebox identity get eva
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent",
"status": "active",
"imessage_enabled": false,
"mail_filter_mode": "blacklist",
"mail_inbound_filter_mode": "blacklist",
"mail_outbound_filter_mode": "blacklist",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z",
"mailbox": {
"id": "mbx_01J8ABC123XYZ",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z"
},
"tunnel": {
"id": "tnl_01J8ABC123XYZ",
"public_url": "https://eva.wirebox.run",
"status": "active",
"is_connected": false
}
}
Agent Identities
Get Agent Identity
Retrieve details and mailbox bindings for a specific agent identity.
GET
/
api
/
v1
/
identities
/
{handle}
curl -X GET https://api.wirebox.sh/api/v1/identities/eva \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
identity = wirebox.get_identity("eva")
print("Handle:", identity.agent_handle)
print("Mailbox:", identity.mailbox.email_address)
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const identity = await wirebox.getIdentity("eva");
console.log("Handle:", identity.agent_handle);
console.log("Mailbox:", identity.mailbox.email_address);
wirebox identity get eva
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent",
"status": "active",
"imessage_enabled": false,
"mail_filter_mode": "blacklist",
"mail_inbound_filter_mode": "blacklist",
"mail_outbound_filter_mode": "blacklist",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z",
"mailbox": {
"id": "mbx_01J8ABC123XYZ",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z"
},
"tunnel": {
"id": "tnl_01J8ABC123XYZ",
"public_url": "https://eva.wirebox.run",
"status": "active",
"is_connected": false
}
}
Path Parameters
string
required
The agent handle (with or without leading
@, e.g. eva or @eva).curl -X GET https://api.wirebox.sh/api/v1/identities/eva \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
identity = wirebox.get_identity("eva")
print("Handle:", identity.agent_handle)
print("Mailbox:", identity.mailbox.email_address)
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const identity = await wirebox.getIdentity("eva");
console.log("Handle:", identity.agent_handle);
console.log("Mailbox:", identity.mailbox.email_address);
wirebox identity get eva
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent",
"status": "active",
"imessage_enabled": false,
"mail_filter_mode": "blacklist",
"mail_inbound_filter_mode": "blacklist",
"mail_outbound_filter_mode": "blacklist",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z",
"mailbox": {
"id": "mbx_01J8ABC123XYZ",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z"
},
"tunnel": {
"id": "tnl_01J8ABC123XYZ",
"public_url": "https://eva.wirebox.run",
"status": "active",
"is_connected": false
}
}